package com.friendvilla.bucksbuddy.controls;

import static com.friendvilla.bucksbuddy.controls.Constant.LINK;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import androidx.annotation.Nullable;

import com.friendvilla.bucksbuddy.R;
import com.google.android.material.bottomsheet.BottomSheetDialogFragment;

public class UpdateBox extends BottomSheetDialogFragment {
    public UpdateBox() {

    }
    @Nullable
    @Override
    public View onCreateView(LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        View v = inflater.inflate(R.layout.update,container,false);
        setStyle(BottomSheetDialogFragment.STYLE_NORMAL,R.style.CustomSheet);
        v.findViewById(R.id.btn).setOnClickListener(view -> {
            Intent intent = new Intent(Intent.ACTION_VIEW).setData(Uri.parse(LINK));
           startActivity(intent);
        });
        setCancelable(false);
        return v;
    }

}
